Index: trip-planner-front/src/app/app.module.ts
===================================================================
--- trip-planner-front/src/app/app.module.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/app.module.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -45,4 +45,6 @@
 import {PaginatorModule} from 'primeng/paginator';
 import {CardModule} from 'primeng/card';
+import { RegisterComponent } from './homepage/register/register.component';
+import { LoginComponent } from './homepage/login/login.component';
 
 @NgModule({
@@ -57,5 +59,7 @@
     AddLocationToPlannerPanelComponent,
     HomepageComponent,
-    LocationDetailsComponent
+    LocationDetailsComponent,
+    RegisterComponent,
+    LoginComponent
   ],
   imports: [
Index: trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.html
===================================================================
--- trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.html	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -1,3 +1,2 @@
-<form (ngSubmit)="onFormSubmitPlanner(f)" #f="ngForm" >
   <div mat-dialog-content>
     <p>Planner name</p>
@@ -12,6 +11,5 @@
   </div>
   <div mat-dialog-actions>
-    <button pButton pRipple type="button" label="Save" [disabled]="!f.form.valid"
-      class="p-button-outlined p-button-rounded p-button-help"></button>
+    <button pButton pRipple type="submit" label="Save" 
+      class="p-button-outlined p-button-rounded p-button-help" (click)="onFormSubmitPlanner(planner)"></button>
   </div>
-</form>
Index: trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts
===================================================================
--- trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -1,11 +1,6 @@
-import { ResourceLoader } from '@angular/compiler';
-import { Route } from '@angular/compiler/src/core';
-import { Component, Inject, OnInit } from '@angular/core';
-import { NgForm } from '@angular/forms';
-import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
-import { ActivatedRoute, Params, Router } from '@angular/router';
+import { Component, OnInit } from '@angular/core';
+import { DynamicDialogRef } from 'primeng/dynamicdialog';
 import { PlannerDto } from '../_models/dto/plannerDto';
 import { Planner } from '../_models/planner';
-import { PlannerService } from '../_services/planner.service';
 
 @Component({
@@ -17,11 +12,8 @@
 
   planner: Planner;
-  planners: Planner[];
   plannerDto: PlannerDto;
 
-  constructor(private dialogRef: MatDialogRef<CreateInitialPlannerComponent>,
-              private plannerService : PlannerService, private router : Router) {
+  constructor( private ref: DynamicDialogRef) {
                 this.planner = new Planner;
-                this.planners = [];
                 this.plannerDto = new PlannerDto();
               }
@@ -32,18 +24,7 @@
   }
 
-  onCancelClick(): void {
-    this.dialogRef.close();
-  }
-  
-  onFormSubmitPlanner(form: NgForm){
-   console.log(this.planner);
-      this.plannerService.postInitialPlanner(this.planner).subscribe(
-        data=>{
-          console.log(data);
-          this.router.navigate(['planner']);
-        },
-        error => console.log('oops', error)
-     );
-     window.location.reload();
+  onFormSubmitPlanner(planner){
+    this.ref.close(planner);
+    window.location.reload();
   }
 
Index: trip-planner-front/src/app/homepage/homepage.component.html
===================================================================
--- trip-planner-front/src/app/homepage/homepage.component.html	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/homepage/homepage.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -17,4 +17,7 @@
 
       <ul class="navbar-nav ml-auto">
+        <li class="nav-item">
+          <button class="btn btn-dark" (click)="onClickSignUp()" type="button">Sign up</button>
+        </li>
         <li class="nav-item">
           <button class="btn btn-dark">Sign in</button>
Index: trip-planner-front/src/app/homepage/homepage.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/homepage.component.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/homepage/homepage.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -1,5 +1,7 @@
 import { Component, OnInit } from '@angular/core';
+import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
 import { Location } from '../_models/location';
 import { LocationService } from '../_services/location.service';
+import { RegisterComponent } from './register/register.component';
 
 
@@ -16,6 +18,7 @@
    locations: Location[];
    villages: Location[];
+   ref: DynamicDialogRef;
 
-   constructor(private locationService: LocationService) {
+   constructor(private locationService: LocationService, private dialogService: DialogService) {
       this.responsiveOptions = [
          {
@@ -37,4 +40,5 @@
       this.locations = [];
       this.villages = [];
+      this.ref = new DynamicDialogRef;
    }
 
@@ -52,3 +56,13 @@
       );
    }
+
+   onClickSignUp(){
+      console.log("VLEGOV");
+      this.ref = this.dialogService.open(RegisterComponent, {
+         header: 'Register form',
+         width: '70%',
+         contentStyle: { "max-height": "500px", "overflow": "auto" },
+         baseZIndex: 10000
+       });
+   }
 }
Index: trip-planner-front/src/app/homepage/login/login.component.html
===================================================================
--- trip-planner-front/src/app/homepage/login/login.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/login/login.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -0,0 +1,1 @@
+<p>login works!</p>
Index: trip-planner-front/src/app/homepage/login/login.component.spec.ts
===================================================================
--- trip-planner-front/src/app/homepage/login/login.component.spec.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/login/login.component.spec.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -0,0 +1,25 @@
+import { ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { LoginComponent } from './login.component';
+
+describe('LoginComponent', () => {
+  let component: LoginComponent;
+  let fixture: ComponentFixture<LoginComponent>;
+
+  beforeEach(async () => {
+    await TestBed.configureTestingModule({
+      declarations: [ LoginComponent ]
+    })
+    .compileComponents();
+  });
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(LoginComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
Index: trip-planner-front/src/app/homepage/login/login.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/login/login.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/login/login.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-login',
+  templateUrl: './login.component.html',
+  styleUrls: ['./login.component.css']
+})
+export class LoginComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
Index: trip-planner-front/src/app/homepage/register/register.component.html
===================================================================
--- trip-planner-front/src/app/homepage/register/register.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/register/register.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -0,0 +1,31 @@
+<div class="p-grid p-fluid">
+    <div class="p-col-12 p-md-4">
+        <div class="p-inputgroup">
+            <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
+            <input type="text" pInputText placeholder="Full name">         
+        </div>
+    </div>
+
+    <div class="p-col-12 p-md-4">
+        <div class="p-inputgroup">
+            <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
+            <input type="text" pInputText placeholder="Ema address (Username)">         
+        </div>
+    </div>
+    <div class="p-col-12 p-md-4">
+        <div class="p-inputgroup">
+            <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
+            <input type="text" pInputText placeholder="Password">         
+        </div>
+    </div>
+    <div class="p-col-12 p-md-4">
+        <div class="p-inputgroup">
+            <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
+            <input type="text" pInputText placeholder="Repeat password">         
+        </div>
+    </div>
+
+    <div class="p-col-12 p-md-4">
+        <button pButton pRipple type="button" label="Submit" class="p-button-secondary"></button>
+    </div>
+</div>
Index: trip-planner-front/src/app/homepage/register/register.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/register/register.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/register/register.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-register',
+  templateUrl: './register.component.html',
+  styleUrls: ['./register.component.css']
+})
+export class RegisterComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
Index: trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.ts
===================================================================
--- trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/location/add-location-to-planner-panel/add-location-to-planner-panel.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -5,6 +5,5 @@
 import { DynamicDialogRef } from 'primeng/dynamicdialog';
 import { LocationService } from 'src/app/_services/location.service';
-import { Location } from 'src/app/_models/location';
-import { PlannerLocationDto } from 'src/app/_models/dto/plannerLocationDto';
+
 
 
Index: trip-planner-front/src/app/location/location.component.html
===================================================================
--- trip-planner-front/src/app/location/location.component.html	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/location/location.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -1,5 +1,6 @@
 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
   integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
-  <p-toast></p-toast>
+
+<p-toast></p-toast>
 <h3>Here are all locations</h3>
 <button pButton pRipple type="button" icon="pi pi-bell" class="p-button-rounded p-button-warning" label="Back to my Planners" (click)="onClickBackToMyPlanners()"></button>
Index: trip-planner-front/src/app/location/location.component.ts
===================================================================
--- trip-planner-front/src/app/location/location.component.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/location/location.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -124,6 +124,4 @@
         }
       );
-
-
     });
   }
Index: trip-planner-front/src/app/planner/edit-planner/edit-planner.component.html
===================================================================
--- trip-planner-front/src/app/planner/edit-planner/edit-planner.component.html	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/planner/edit-planner/edit-planner.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -43,6 +43,4 @@
     </div>
     <button pButton pRipplelabel label="Save" class="p-button-help"></button>
-    <button pButton pRipple label="Back" class="p-button-info" (click)="onClickBack()" [style]="{'margin-left': '.5em'}"></button>
-
 </form>
-
+<button pButton pRipple label="Back" class="p-button-info" (click)="onClickBack()" [style]="{'margin-left': '.11em'}"></button>
Index: trip-planner-front/src/app/planner/edit-planner/edit-planner.component.ts
===================================================================
--- trip-planner-front/src/app/planner/edit-planner/edit-planner.component.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/planner/edit-planner/edit-planner.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -78,5 +78,4 @@
 
   onClickBack(){
-    console.log("promena");
     this.router.navigate(['planners']);
   }
Index: trip-planner-front/src/app/planner/planner.component.html
===================================================================
--- trip-planner-front/src/app/planner/planner.component.html	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/planner/planner.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -1,5 +1,5 @@
 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
 
-
+<p-toast></p-toast>
 <button pButton pRipple type="button" label="Create initial planner" class="p-button-help " (click)="show()"></button>
 <br>
Index: trip-planner-front/src/app/planner/planner.component.ts
===================================================================
--- trip-planner-front/src/app/planner/planner.component.ts	(revision 8d391a12ef6baa3aefe9611a6f7c5b569977c946)
+++ trip-planner-front/src/app/planner/planner.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
@@ -5,7 +5,6 @@
 import { Router } from '@angular/router';
 import { PlannerDto } from '../_models/dto/plannerDto';
-import { FormBuilder, FormGroup, Validators } from '@angular/forms';
 import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
-import { PrimeNGConfig } from 'primeng/api';
+import { MessageService, PrimeNGConfig } from 'primeng/api';
 
 
@@ -13,5 +12,6 @@
   selector: 'app-planner',
   templateUrl: './planner.component.html',
-  styleUrls: ['./planner.component.css']
+  styleUrls: ['./planner.component.css'],
+  providers: [DialogService, MessageService]
 })
 export class PlannerComponent implements OnInit {
@@ -19,16 +19,12 @@
   planners: Planner[];
   plannerDto: PlannerDto;
-  editForm: FormGroup;
   ref: DynamicDialogRef;
 
 
   constructor(private plannerService: PlannerService, private router: Router,
-    private fb: FormBuilder, private dialogService: DialogService, private primengConfig: PrimeNGConfig) {
+    private dialogService: DialogService, private primengConfig: PrimeNGConfig, private messageService: MessageService) {
     this.planners = [];
     this.plannerDto = new PlannerDto();
-    this.editForm = fb.group({
-      title: fb.control('initial value', Validators.required)
-    });
-    this.ref = new DynamicDialogRef;   
+    this.ref = new DynamicDialogRef;
   }
 
@@ -51,6 +47,6 @@
       }
     );
+  }
 
-  }
   show() {
     this.ref = this.dialogService.open(CreateInitialPlannerComponent, {
@@ -60,4 +56,16 @@
       baseZIndex: 10000
     });
+    this.ref.onClose.subscribe((planner: Planner) => {
+      console.log("NOVOKREIRANIOT NAME NA PLANNER: " + planner.name);
+      this.plannerService.postInitialPlanner(planner).subscribe(
+        data=>{
+          console.log(data);
+        },
+        error => console.log('oops', error)
+     );
+      this.messageService.add({ severity: 'success', summary: 'The planner: ' + planner.name + ' has been created.' });
+    });
+    
   }
+
 }
